Loading...
Searching...
No Matches
std::hash< seqan3::dynamic_bitset< cap > > Struct Template Reference
Utility » Container

Struct for hashing a seqan3::dynamic_bitset. More...

`#include <seqan3/utility/container/dynamic_bitset.hpp>`

Inheritance diagram for std::hash< seqan3::dynamic_bitset< cap > >:
[legend]

## Public Member Functions

T | hash (T... args)
size_t | operator() (seqan3::dynamic_bitset< cap > const arg) const noexcept
| Compute the hash for a seqan3::dynamic_bitset.

## Detailed Description

template<size_t cap>
struct std::hash< seqan3::dynamic_bitset< cap > >

Struct for hashing a seqan3::dynamic_bitset.

Template Parameters

  cap | Capacity of the seqan3::dynamic_bitset.

This entity is experimental and subject to change in the future. Experimental since version 3.1.

## Member Function Documentation

## operator()()

template<size_t cap>

size_t std::hash< seqan3::dynamic_bitset< cap > >::operator() | ( | seqan3::dynamic_bitset< cap > const | arg | ) | const

inline noexcept

Compute the hash for a seqan3::dynamic_bitset.

Parameters

  [in] | arg | The seqan3::dynamic_bitset to process.

Returns
  size_t.

See also
  seqan3::dynamic_bitset.to_ullong().

This entity is experimental and subject to change in the future. Experimental since version 3.1.

The documentation for this struct was generated from the following file:

- dynamic_bitset.hpp

Hide me